Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
/
{lead_id}
/
message-history
curl "https://server.smartlead.ai/api/v1/campaigns/123/leads/789/message-history?api_key=YOUR_KEY"
{
  "messages": [
    {
      "id": "msg_1",
      "subject": "Partnership Opportunity",
      "direction": "outbound",
      "sent_at": "2025-01-15T10:00:00Z",
      "opened_at": "2025-01-15T10:30:00Z"
    },
    {
      "id": "msg_2",
      "subject": "Re: Partnership Opportunity",
      "direction": "inbound",
      "received_at": "2025-01-20T14:00:00Z"
    }
  ]
}
View full email thread history with a lead. Essential for understanding conversation context and lead engagement.

Path Parameters

campaign_id
number
required
Campaign ID
lead_id
number
required
Lead ID

Query Parameters

api_key
string
required
Your SmartLead API key
event_time_gt
string
Filter messages after this timestamp (ISO 8601)
show_plain_text_response
boolean
Include plain text version of emails
curl "https://server.smartlead.ai/api/v1/campaigns/123/leads/789/message-history?api_key=YOUR_KEY"

Response Example

{
  "messages": [
    {
      "id": "msg_1",
      "subject": "Partnership Opportunity",
      "direction": "outbound",
      "sent_at": "2025-01-15T10:00:00Z",
      "opened_at": "2025-01-15T10:30:00Z"
    },
    {
      "id": "msg_2",
      "subject": "Re: Partnership Opportunity",
      "direction": "inbound",
      "received_at": "2025-01-20T14:00:00Z"
    }
  ]
}